@ECHO OFF

IF "%1" == "" GOTO MoreDefaultsMenu
IF "%1" == "1024" GOTO R1024
IF "%1" == "1366" GOTO R1366
IF "%1" == "1900" GOTO R1900
IF "%1" == "2048" GOTO R2048
IF "%1" == "2560" GOTO R2560

:MoreDefaultsMenu
    CALL scripts\getRESO.cmd
    CLS
    ECHO.&ECHO.
    ECHO  DaimonUI3 Setup 
    ECHO.
    ECHO     Choose the resolution you use to play
    ECHO     The Lord of the Rings ONLINE (width).
    ECHO    ----------------------------
    ECHO     Current resolution: %RESO%
    ECHO    ----------------------------
    ECHO        [1] 1024w*  [4] 2048w
    ECHO        [2] 1366w   [5] 2560w
    ECHO        [3] 1900w
    ECHO.
    ECHO        *1024 only for DaimonUIMini
    ECHO        ---------------
    ECHO        [B] Back
    ECHO.&ECHO.&ECHO.
    SET OPTION=
    SET /P OPTION=   Command : 
    IF NOT '%OPTION%'=='' SET OPTION=%OPTION:~0,1%
    IF '%OPTION%'=='1' GOTO R1024
    IF '%OPTION%'=='2' GOTO R1366
    IF '%OPTION%'=='3' GOTO R1900
    IF '%OPTION%'=='4' GOTO R2048
    IF '%OPTION%'=='5' GOTO R2560
    IF '%OPTION%'=='b' GOTO BackDefaults
    IF '%OPTION%'=='B' GOTO BackDefaults
GOTO MoreDefaultsMenu

:R1024
    DEL SkinDefinition.tmp
    CALL scripts\parser.cmd begin
    TYPE xml\dmnuimini_1024.xml >> SkinDefinition.tmp
    CALL scripts\parser.cmd mini
    COPY /Y SkinDefinition.tmp ..\Mini\SkinDefinition.xml
    DEL SkinDefinition.tmp
    DEL ..\Mini\????.res
    ECHO DaimonUIMini 1024 Resolution >> ..\Mini\1024.res
    GOTO EndMoreDefaults

:R1366
    DEL SkinDefinition.tmp
    CALL scripts\parser.cmd begin
    TYPE xml\dmnui_1366.xml >> SkinDefinition.tmp
    CALL scripts\parser.cmd common
    COPY /Y SkinDefinition.tmp SkinDefinition.xml.1366
    COPY /Y SkinDefinition.tmp SkinDefinition.xml
    DEL SkinDefinition.tmp
    CALL scripts\parser.cmd begin
    TYPE xml\dmnuimini_1366.xml >> SkinDefinition.tmp
    CALL scripts\parser.cmd mini
    COPY /Y SkinDefinition.tmp ..\Mini\SkinDefinition.xml
    DEL SkinDefinition.tmp
    DEL ????.res
    DEL ..\Mini\????.res
    ECHO Daimonui 1366 Resolution >> 1366.res
    COPY /Y 1366.res ..\Mini\
    GOTO EndMoreDefaults

:R1900
    DEL SkinDefinition.tmp
    CALL scripts\parser.cmd begin
    TYPE xml\dmnui_1900.xml >> SkinDefinition.tmp
    CALL scripts\parser.cmd common
    COPY /Y SkinDefinition.tmp SkinDefinition.xml.1900
    COPY /Y SkinDefinition.tmp SkinDefinition.xml
    DEL SkinDefinition.tmp
    CALL scripts\parser.cmd begin
    TYPE xml\dmnuimini_1900.xml >> SkinDefinition.tmp
    CALL scripts\parser.cmd mini
    COPY /Y SkinDefinition.tmp ..\Mini\SkinDefinition.xml
    DEL SkinDefinition.tmp
    DEL ????.res
    DEL ..\Mini\????.res
    ECHO Daimonui 1900 Resolution >> 1900.res
    COPY /Y 1900.res ..\Mini\
    GOTO EndMoreDefaults

:R2048
    DEL SkinDefinition.tmp
    CALL scripts\parser.cmd begin
    TYPE xml\dmnui_2048.xml >> SkinDefinition.tmp
    CALL scripts\parser.cmd common
    COPY /Y SkinDefinition.tmp SkinDefinition.xml.2048
    COPY /Y SkinDefinition.tmp SkinDefinition.xml
    DEL SkinDefinition.tmp
    CALL scripts\parser.cmd begin
    TYPE xml\dmnuimini_2048.xml >> SkinDefinition.tmp
    CALL scripts\parser.cmd mini
    COPY /Y SkinDefinition.tmp ..\Mini\SkinDefinition.xml
    DEL SkinDefinition.tmp
    DEL ????.res
    DEL ..\Mini\????.res
    ECHO Daimonui 2048 Resolution >> 2048.res
    COPY /Y 2048.res ..\Mini\
    GOTO EndMoreDefaults

:R2560
    DEL SkinDefinition.tmp
    CALL scripts\parser.cmd begin
    TYPE xml\dmnui_2560.xml >> SkinDefinition.tmp
    CALL scripts\parser.cmd common
    COPY /Y SkinDefinition.tmp SkinDefinition.xml.2560
    COPY /Y SkinDefinition.tmp SkinDefinition.xml
    DEL SkinDefinition.tmp
    CALL scripts\parser.cmd begin
    TYPE xml\dmnuimini_2560.xml >> SkinDefinition.tmp
    CALL scripts\parser.cmd mini
    COPY /Y SkinDefinition.tmp ..\Mini\SkinDefinition.xml
    DEL SkinDefinition.tmp
    DEL ????.res
    DEL ..\Mini\????.res
    ECHO Daimonui 2560 Resolution >> 2560.res
    COPY /Y 2560.res ..\Mini\
    GOTO EndMoreDefaults

:EndMoreDefaults
    SET RESOSET=%RESO%
    CALL scripts\getRESO.cmd
    CLS
    ECHO.&ECHO.
    ECHO    Resolution changed from %RESOSET% to %RESO% !
    ECHO.
    ECHO    Have fun playing The Lord of the Rings ONLINE
    ECHO    with DaimonUI3!
    ECHO.&ECHO.
    PAUSE
    GOTO MainMenu
    
:BackDefaults